%global momorel 2

Name:           perl-DateTimeX-Easy
Version:        0.088
Release:        %{momorel}m%{?dist}
Summary:        Parse a date/time string using the best method available
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTimeX-Easy/
Source0:        http://www.cpan.org/authors/id/R/RK/RKRIMEN/DateTimeX-Easy-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Format-DateManip
BuildRequires:  perl-DateTime-Format-DateParse
BuildRequires:  perl-DateTime-Format-Flexible
BuildRequires:  perl-DateTime-Format-ICal
BuildRequires:  perl-DateTime-Format-Natural
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Most
Requires:       perl-DateTime
Requires:       perl-DateTime-Format-DateManip
Requires:       perl-DateTime-Format-DateParse
Requires:       perl-DateTime-Format-Flexible
Requires:       perl-DateTime-Format-ICal
Requires:       perl-DateTime-Format-Natural
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(DateTimeX::Easy::DateParse) = %{version}

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n DateTimeX-Easy-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

rm -f %{buildroot}%{perl_vendorlib}/DateTimeX/_test.pl

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/DateTimeX/Easy*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.088-2m)
- full rebuild for mo7 release

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.088-1m)
- update to 0.088
- NoSource

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.087-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.087-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.087-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.087-4m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.087-3m)
- rebuild against perl-5.10.1

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.087-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.087-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
- update to git 804800d5cc5be9113e471585d70db7baea7ec760
